cmogstored dev/user discussion/issues/patches/etc
 help / color / mirror / code / Atom feed
From: Eric Wong <e@80x24.org>
To: cmogstored-public@bogomips.org
Cc: Eric Wong <e@80x24.org>
Subject: [PATCH] require newer gnulib for free_mount_entry support
Date: Fri, 20 Nov 2015 21:35:34 +0000	[thread overview]
Message-ID: <20151120213534.9861-1-e@80x24.org> (raw)

gnulib commit 41d1b6c42641a5b9e21486ca2074198ee7909bd7
("mountlist: add support for deallocating returned list entries")
or later (from July 2013) is needed for free_mount_entry support
introduced in our commit 1225f9ce4c32b3bba61ce92a487d99260a001995
("use free_mount_entry from gnulib instead of rolling our own").
---
 HACKING    |  5 +++++
 autogen.sh | 12 ++++++++++++
 2 files changed, 17 insertions(+)

diff --git a/HACKING b/HACKING
index 2088958..4afe63a 100644
--- a/HACKING
+++ b/HACKING
@@ -20,8 +20,13 @@ Generally, the versions of these tools bundled with the latest
 stable release of Debian GNU/Linux will work.
 
 For Gnulib, we will use the latest git checkouts from:
+
 	git://git.savannah.gnu.org/gnulib.git
 
+We currently require gnulib commit 41d1b6c42641a5b9e21486ca2074198ee7909bd7
+("mountlist: add support for deallocating returned list entries")
+or later (from July 2013) for free_mount_entry support
+
 For gcov code coverage reports, we rely on "gcov2perl" and "cover"
 from the Devel::Cover Perl module:
 
diff --git a/autogen.sh b/autogen.sh
index 4db469d..6fb4433 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,6 +4,18 @@ glver="$(gnulib-tool --version | head -n1)"
 if gnulib-tool --update && autoreconf -i
 then
 	echo "$glver" > .gnulib-version
+	if ! grep -w free_mount_entry >/dev/null lib/mountlist.h
+	then
+		cat >&2 <<EOF
+
+ERROR: gnulib too old
+gnulib commit 41d1b6c42641a5b9e21486ca2074198ee7909bd7
+("mountlist: add support for deallocating returned list entries")
+or later (from July 2013) for free_mount_entry support
+
+EOF
+		exit 1
+	fi
 	exit 0
 fi
 cat HACKING
-- 
EW


                 reply	other threads:[~2015-11-20 21:35 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://yhbt.net/cmogstored/README

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20151120213534.9861-1-e@80x24.org \
    --to=e@80x24.org \
    --cc=cmogstored-public@bogomips.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://yhbt.net/cmogstored.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).